<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

class DirectLinkCollectionEntryTranslation extends EntryTranslation
{
    private Collection $directLinks;

    public function __construct()
    {
        $this->directLinks = new ArrayCollection();
    }

    /**
     * @return ArrayCollection
     */
    public function getDirectLinks(): ArrayCollection
    {
        return $this->directLinks;
    }

    public function addDirectLink(DirectLinkEntryTranslationInterface $directLink): DirectLinkCollectionEntryTranslation
    {
        $directLink->setDirectLinkCollectionEntryTranslation($this);

        if (!$this->hasDirectLink($directLink)) {
            $this->directLinks->add($directLink);
        }

        return $this;
    }

    public function removeDirectLink(DirectLinkEntryTranslationInterface $directLink): DirectLinkCollectionEntryTranslation
    {
        if ($this->hasDirectLink($directLink)) {
            $this->directLinks->removeElement($directLink);
        }

        return $this;
    }

    public function hasDirectLink(DirectLinkEntryTranslationInterface $directLink): bool
    {
        return $this->directLinks->contains($directLink);
    }

}
