<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

class DirectLinkEntryTranslation extends EntryTranslation implements DirectLinkEntryTranslationInterface
{
    /** @var string|null */
    protected $url;

    /** @var string|null */
    protected $label;

    /**
     * ManyToOne(targetEntity="DirectLinkEntry", inversedBy="directLink")
     * (name="direct_link_collection_id", referencedColumnName="id")
     */
    private ?DirectLinkCollectionEntryTranslation $directLinkCollectionEntryTranslation;

    public function getUrl(): ?string
    {
        return $this->url;
    }

    public function setUrl(?string $url): DirectLinkEntryTranslationInterface
    {
        $this->url = $url;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(?string $label): DirectLinkEntryTranslationInterface
    {
        $this->label = $label;

        return $this;
    }

    public function setDirectLinkCollectionEntryTranslation(DirectLinkCollectionEntryTranslation|null $directLinkCollectionEntryTranslation): ?DirectLinkCollectionEntryTranslation
    {
        $this->directLinkCollectionEntryTranslation = $directLinkCollectionEntryTranslation;

        return  $directLinkCollectionEntryTranslation;
    }

    /**
     * @return DirectLinkCollectionEntryTranslation|null
     */
    public function getDirectLinkCollectionEntryTranslation(): ?DirectLinkCollectionEntryTranslation
    {
        return $this->directLinkCollectionEntryTranslation;
    }
}
