<?php

namespace Dedi\SyliusMegamenuPlugin\Form\Type;

use Dedi\SyliusMegamenuPlugin\Entity\DirectLinkEntryTranslation;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;

class DirectLinkCollectionType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->addEventListener(FormEvents::SUBMIT, function (FormEvent $event) {
            $data = $event->getData();
            $form = $event->getForm();

            if (null === $data) {
                return;
            }
            $fixedData = [];
            foreach ($data as $key => $values) {
                if ($values instanceof DirectLinkEntryTranslation) {
                    $values->setLocale($form->getParent()->getName());
                    $fixedData[$form->getParent()->getName()]  = $values;
                }
            }
            $event->setData($fixedData);
        });
    }

    public function getParent(): string
    {
        return CollectionType::class;
    }

}